﻿##### Scriptinfo ##################################################################################
# Scriptreihe	    PAM-AdminGUI\ISETester
# Datum:            2017-11-15
# Version:          V1.04
# Programmierer:    Stephan Walther
###################################################################################################

# Variablen
    $PAMServer = 'C-DC1.CRASHWORK.GLOBAL'
    $PAMRolle  = 'PAM-AdminGUI'

    $PAMAdminGruppe = 'Domänen-Admins'
    $PAMAdminUser   = 'Paul-AD'

# teste 1:1 Remoting
    Enter-PSSession -ComputerName $PAMServer -ConfigurationName PAM-AdminGUI

        liste-Admins
        liste-Gruppen
        liste-Zeitspannen

        # Variablen durchreichen?
            zeige-GruppenMitglieder -Gruppe $PAMAdminGruppe

            erstelle-PAMGruppenMitglied -Admin $PAMAdminUser -Gruppe $PAMAdminGruppe -Zeitspanne '15'
            entferne-PAMGruppenMitglied -Admin $PAMAdminUser -Gruppe $PAMAdminGruppe
        
    Exit-PSSession

# teste Script-Remoting
    $JEASession = New-PSSession -ComputerName $PAMServer -ConfigurationName $PAMRolle

    Invoke-Command -Session $JEASession -ScriptBlock {
        liste-Zeitspannen
    }

    Invoke-Command -Session $JEASession -ScriptBlock {
        param($PAMAdminGruppe)

        zeige-GruppenMitglieder -Gruppe $PAMAdminGruppe
    } -ArgumentList $PAMAdminGruppe | Format-Table
    
    Invoke-Command -Session $JEASession -ScriptBlock {
        param($PAMAdminUser,$PAMAdminGruppe)

        erstelle-PAMGruppenMitglied -Admin $PAMAdminUser -Gruppe $PAMAdminGruppe -Zeitspanne 10
    } -ArgumentList $PAMAdminUser,$PAMAdminGruppe

    Get-PSSession | Remove-PSSession

# SIG # Begin signature block
# MIII4QYJKoZIhvcNAQcCoIII0jCCCM4CAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUbrQCgvTq1vTz1R48PV+3sVYt
# EtagggY/MIIGOzCCBSOgAwIBAgITGwAAAOBAvnzebcAjSAABAAAA4DANBgkqhkiG
# 9w0BAQsFADBUMRMwEQYKCZImiZPyLGQBGRYDaXRzMRIwEAYKCZImiZPyLGQBGRYC
# d3MxKTAnBgNVBAMTIFdTLUlUUy1aZXJ0aWZpemllcnVuZ3NzdGVsbGUtQ0ExMB4X
# DTE3MDUxMDA1NDI0OVoXDTE5MDUxMDA1NTI0OVowdTETMBEGCgmSJomT8ixkARkW
# A2l0czESMBAGCgmSJomT8ixkARkWAndzMQswCQYDVQQLEwJXUzERMA8GA1UECxMI
# QmVudXR6ZXIxDzANBgNVBAsTBldTLUlUUzEZMBcGA1UEAxMQV2FsdGhlciwgU3Rl
# cGhhbjCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKqnKBq0nJLvqGwO
# aJkLU2174/KhLd4ykJZ2BgG4wse7s3ALM7dH1vxNmeKIoB09yk9nYZzDeRjZ7w7a
# WKgko8zvNHJCleQNtG6AReOoMIRuYyrbUmbKlmICn9V/ENUNQ6s1tiqnAIChb0J2
# 05GMaBYG+IFS+uLDzlTIsoaEKZjV3htgBEVQt6BYIdbsZ913ZUcpGWhQsCXKairT
# wB8pqPTaBCA5HJHyfAwxa+w2ERhF5q0r/xp9dEkemFjy0Xo9aQWUw3WPy8l3pTyp
# I2w/yDFqLfZu5z1QjWrcNA9VirSiM9PkOPXQb9riChc4PfFd90+JjeVhOlj3y0qb
# InQsfUMCAwEAAaOCAuMwggLfMA4GA1UdDwEB/wQEAwIHgDA8BgkrBgEEAYI3FQcE
# LzAtBiUrBgEEAYI3FQiIoH6B98FWhLmPAobjm2SE8KUnMYPz1QqE8ow3AgFkAgEC
# MB0GA1UdDgQWBBT1lyML2Qw04hBbAlX5PeqiA5IBQjAfBgNVHSMEGDAWgBS1Nrmv
# a6rveo5pQqKi2+u+kQ59cTCCASAGA1UdHwSCARcwggETMIIBD6CCAQugggEHhoHE
# bGRhcDovLy9DTj1XUy1JVFMtWmVydGlmaXppZXJ1bmdzc3RlbGxlLUNBMSgxKSxD
# Tj1XUy1DQTEsQ049Q0RQLENOPVB1YmxpYyUyMEtleSUyMFNlcnZpY2VzLENOPVNl
# cnZpY2VzLENOPUNvbmZpZ3VyYXRpb24sREM9d3MsREM9aXRzP2NlcnRpZmljYXRl
# UmV2b2NhdGlvbkxpc3Q/YmFzZT9vYmplY3RDbGFzcz1jUkxEaXN0cmlidXRpb25Q
# b2ludIY+aHR0cDovL2NybC53cy5pdHMvY3JsZC9XUy1JVFMtWmVydGlmaXppZXJ1
# bmdzc3RlbGxlLUNBMSgxKS5jcmwwgc0GCCsGAQUFBwEBBIHAMIG9MIG6BggrBgEF
# BQcwAoaBrWxkYXA6Ly8vQ049V1MtSVRTLVplcnRpZml6aWVydW5nc3N0ZWxsZS1D
# QTEsQ049QUlBLENOPVB1YmxpYyUyMEtleSUyMFNlcnZpY2VzLENOPVNlcnZpY2Vz
# LENOPUNvbmZpZ3VyYXRpb24sREM9d3MsREM9aXRzP2NBQ2VydGlmaWNhdGU/YmFz
# ZT9vYmplY3RDbGFzcz1jZXJ0aWZpY2F0aW9uQXV0aG9yaXR5MBMGA1UdJQQMMAoG
# CCsGAQUFBwMDMBsGCSsGAQQBgjcVCgQOMAwwCgYIKwYBBQUHAwMwKQYDVR0RBCIw
# IKAeBgorBgEEAYI3FAIDoBAMDnN0ZXBoYW5Ad3MuaXRzMA0GCSqGSIb3DQEBCwUA
# A4IBAQBjyTnnRXeyMEPW8SziBVFJcsX0K3XLCXz7PEl6sVuiWTHY3n9IOwJJ2sqF
# 3Sea0bpWrDFnJQtB+S4FXW6A/bVvuPlGMBtZ7T9DowowAQAmWvC/OJeeHGz2xyjh
# fDYAmMi3DXrVIEv+yWHsrh6CSt0KiHjMOh/Kk092AmyyPSRZpqmabzcoY7fI6xff
# ckOvS+Q3233ytXfS2YMuNKL8EuGaUhGj8Smb3grUtNW0kyJmL2wTgyWdUerbGpC3
# Ss7iv53hJXSoe8Rmo8spntb/5e+zt6q0ThqI4TN6sm9Gqgg8QcfzGc0XvW7V2GKU
# LT75dOMzV86lFZo+rvq1SaZb2GRcMYICDDCCAggCAQEwazBUMRMwEQYKCZImiZPy
# LGQBGRYDaXRzMRIwEAYKCZImiZPyLGQBGRYCd3MxKTAnBgNVBAMTIFdTLUlUUy1a
# ZXJ0aWZpemllcnVuZ3NzdGVsbGUtQ0ExAhMbAAAA4EC+fN5twCNIAAEAAADgMAkG
# BSsOAwIaBQCgeDAYBgorBgEEAYI3AgEMMQowCKACgAChAoAAMBkGCSqGSIb3DQEJ
# AzEMBgorBgEEAYI3AgEEMBwGCisGAQQBgjcCAQsxDjAMBgorBgEEAYI3AgEVMCMG
# CSqGSIb3DQEJBDEWBBRxeoU/RKkp/Q89pRa/eT8/sI1DwTANBgkqhkiG9w0BAQEF
# AASCAQCTUBSVaf6lL5aJy2eBult/uwl/oxv5RNrHXmpzhNpbeVcyZw6qvXXli8yv
# uAUAYvEoDJnJlZ0K4zL8bGhV6HoFgCjRLGp7hBXWcqhs4+K/EfzXsQT2QSYuhNgy
# Cq2ZEMjMo6/KQnyAAyJszOjHfcrD1lVHtp4rjP9ns6P2Ir+QSJ7UmMOLiGk0OZw6
# MBUyibCbW6l60BexhUlCXRZQQhmtJtDkf5B+FvGhPW6gtwSI2kS1g61uleKxHzac
# Rl+by90UGAIor5ekiiFANrIhsNGzar3AmGU4q/b0nAXSPYUIZta/d+VwtVWfFPvV
# dyjlZDay6x/xXrzjXeBQmtjrOCtQ
# SIG # End signature block
